JUCE: PositionedGlyph Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
PositionedGlyph Class Referencefinal
juce_graphics » fonts

A glyph from a particular font, with a particular size, style, typeface and position. More...

`#include <juce_GlyphArrangement.h>`

## Public Member Functions
| PositionedGlyph () noexcept
| PositionedGlyph (const Font &font, juce_wchar character, int glyphNumber, float anchorX, float baselineY, float width, bool isWhitespace)
juce_wchar | getCharacter () const noexcept
| Returns the character the glyph represents.
bool | isWhitespace () const noexcept
| Checks whether the glyph is actually empty.
float | getLeft () const noexcept
| Returns the position of the glyph's left-hand edge.
float | getRight () const noexcept
| Returns the position of the glyph's right-hand edge.
float | getBaselineY () const noexcept
| Returns the y position of the glyph's baseline.
float | getTop () const
| Returns the y position of the top of the glyph.
float | getBottom () const
| Returns the y position of the bottom of the glyph.
Rectangle< float > | getBounds () const
| Returns the bounds of the glyph.
void | moveBy (float deltaX, float deltaY)
| Shifts the glyph's position by a relative amount.
void | draw (Graphics &g) const
| Draws the glyph into a graphics context.
void | draw (Graphics &g, AffineTransform transform) const
| Draws the glyph into a graphics context, with an extra transform applied to it.
void | createPath (Path &path) const
| Returns the path for this glyph.
bool | hitTest (float x, float y) const
| Checks to see if a point lies within this glyph.

## Detailed Description

A glyph from a particular font, with a particular size, style, typeface and position.

You should rarely need to use this class directly - for most purposes, the GlyphArrangement class will do what you need for text layout.

See also
  GlyphArrangement, Font

## Constructor & Destructor Documentation

## ◆ PositionedGlyph() [1/2]

PositionedGlyph::PositionedGlyph | ( |  | ) |
| noexcept

## ◆ PositionedGlyph() [2/2]

PositionedGlyph::PositionedGlyph | ( | const Font & | font,
|  | juce_wchar | character,
|  | int | glyphNumber,
|  | float | anchorX,
|  | float | baselineY,
|  | float | width,
|  | bool | isWhitespace )

## Member Function Documentation

## ◆ getCharacter()

juce_wchar PositionedGlyph::getCharacter | ( |  | ) | const
| noexcept

Returns the character the glyph represents.

## ◆ isWhitespace()

bool PositionedGlyph::isWhitespace | ( |  | ) | const
| noexcept

Checks whether the glyph is actually empty.

## ◆ getLeft()

float PositionedGlyph::getLeft | ( |  | ) | const
| noexcept

Returns the position of the glyph's left-hand edge.

References x.

## ◆ getRight()

float PositionedGlyph::getRight | ( |  | ) | const
| noexcept

Returns the position of the glyph's right-hand edge.

References w, and x.

## ◆ getBaselineY()

float PositionedGlyph::getBaselineY | ( |  | ) | const
| noexcept

Returns the y position of the glyph's baseline.

References y.

## ◆ getTop()

float PositionedGlyph::getTop | ( |  | ) | const

Returns the y position of the top of the glyph.

References y.

## ◆ getBottom()

float PositionedGlyph::getBottom | ( |  | ) | const

Returns the y position of the bottom of the glyph.

References y.

## ◆ getBounds()

Rectangle< float > PositionedGlyph::getBounds | ( |  | ) | const

Returns the bounds of the glyph.

References Rectangle< ValueType >::getHeight(), w, and x.

## ◆ moveBy()

void PositionedGlyph::moveBy | ( | float | deltaX,
|  | float | deltaY )

Shifts the glyph's position by a relative amount.

## ◆ draw() [1/2]

void PositionedGlyph::draw | ( | Graphics & | g | ) | const

Draws the glyph into a graphics context.

(Note that this may change the context's currently selected font).

## ◆ draw() [2/2]

void PositionedGlyph::draw | ( | Graphics & | g,
|  | AffineTransform | transform ) const

Draws the glyph into a graphics context, with an extra transform applied to it.

(Note that this may change the context's currently selected font).

## ◆ createPath()

void PositionedGlyph::createPath | ( | Path & | path | ) | const

Returns the path for this glyph.

Parameters

  path | the glyph's outline will be appended to this path

## ◆ hitTest()

bool PositionedGlyph::hitTest | ( | float | x,
|  | float | y ) const

Checks to see if a point lies within this glyph.

The documentation for this class was generated from the following file:

- juce_GlyphArrangement.h